Subject: Re: [PATCH] of/i2c: don't pass -1 to irq_dispose_mapping, otherwise kernel will oops

From: Grant Likely <[email-masked]>
Date: Fri, 11 Jul 2008 16:08:26 -0600

On Sat, Jul 12, 2008 at 01:46:14AM +0400, Anton Vorontsov wrote:
> On Fri, Jul 11, 2008 at 03:18:13PM -0600, Grant Likely wrote:
> > On Fri, Jul 11, 2008 at 11:19:30PM +0400, Anton Vorontsov wrote:
> > > On Fri, Jul 11, 2008 at 09:11:02PM +0200, Jochen Friedrich wrote:
> > > > 
> > > > Shouldn't this be:
> > > > 		if (info.irq != NO_IRQ)
> > > 
> > > Maybe, maybe not. See
> > > 
> > > http://lkml.org/lkml/2005/11/21/211
> > > 
> > > I.e. maybe we should use "if (irq)". Or if we should use NO_IRQ, then we
> > > need to fixup all the users of .irq.
> > 
> > Yes, these are definitely wrong and need to be fixed.
> 
> In rc9? ;-)

I said no such thing.  :-)  It agree that it is too late for .26, but I
think is a reasonable goal to get fixed for 2.6.27.

g.